Josefin

OBS! På grund av missbruk kan gäster inte längre skriva inlägg på forumet. Vi ber dig därför att registrera dig som medlem på forumet - det går på 30 sekunder och är givetvis gratis, och sen kan du fortsätta skriva inlägg som vanligt igen. Tack för visad förståelse.

Författare Ämne: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan  (läst 434 gånger)

0 medlemmar och 1 gäst tittar på detta ämne.

Utloggad Daniel Hofverberg

  • Administratör
  • *****
  • Antal inlägg: 11 778
  • Kön: Man
    • Visa profil
Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« skrivet: 24 september 2021 kl. 03:02:11 »
I likhet med miljontals andra webbsajter runt om i världen använder Dubbningshemsidan Let's Encrypt för gratis SSL-certifikat (för säkra anslutningar). Deras ursprungliga rotcertifikat slutar gälla den 30 september, och efter det används bara ett nyare certifikat. För de allra flesta är det här inget problem, men för vissa äldre operativsystem som inte längre uppdateras innebär detta att Dubbningshemsidan och många andra sajter kommer sluta fungera. Det är olyckligt, men tyvärr bortom min kontroll. :(

Läs mer och se en komplett lista på drabbade enheter här:
https://letsencrypt.org/docs/dst-root-ca-x3-expiration-september-2021/

Det här problemet gäller framförallt de som kör datorer eller mobiltelefoner med:
Windows XP, före Service Pack 3 (eller Windows-versioner äldre än Windows XP)
MacOS äldre än version 10.12.1
iOS äldre än version 10 (vilket som standard innebär äldre iPhones än iPhone 7, även om iPhone 5 och uppåt går att uppgradera till iOS 10)
Android äldre än version 2.3.6
Vissa gamla versioner av Linux
(men dock inte om du använder Firefox som webbläsare)


Det är nog i stort sett ingen i de nordiska länderna som fortfarande kör så stenåldersgamla versioner av Android som 2.3.6, då så gamla mobiltelefoner knappt lär vara användbara.

De som har iPhone eller iPad med versioner av iOS äldre än version 10 är förmodligen relativt få i Sverige, i synnerhet som Mobilt BankID numera kräver iOS 12 eller Android 6 - och ärligt talat börjar det vara ganska svårt att klara sig utan BankID i dagens samhälle...

Jag skulle gissa att det är ganska få som fortfarande kör Windows XP eller MacOS äldre än 10.12.1, så förmodligen är det här inget stort problem.


Vad ska jag göra nu?

I de flesta fall, ingenting. För de allra flesta kommer sajten fortsätta fungera som om ingenting har hänt. Men om du råkar köra något av de drabbade operativsystemen:

Om du vet med dig att du kör Windows XP, uppgradera till Service Pack 3 (du borde dock verkligen byta till ett nyare operativsystem än så - helst Windows 10, om det går på din dator).

Om du vet med dig att du kör MacOS äldre än 10.12.1, försök att uppgradera till en nyare version av MacOS - d.v.s. version 10.12.1 eller nyare (om det stöds på din dator).

Om du vet med dig att du har en iPhone 5 eller 6, uppgradera snarast till iOS 10 om du inte redan gjort det (ska fungera, men jag har själv ingen erfarenhet av iPhone och har därför ingen aning om hur).

Om du har en iPhone 4 eller äldre finns det tyvärr ingen lösning, liksom om du råkar ha supergamla versioner av Android. I så fall, läs mer nedan.


Vad händer om jag inte kan uppgradera?

Om du har en så gammal dator eller mobiltelefon att du verkligen inte kan uppgradera till något operativsystem som stöds kommer Dubbningshemsidan och mängder av andra sajter att sluta fungera efter den 30 september.

Det finns dock en nödlösning du kan ta till om du tillhör en av de fåtal personer som påverkas av detta: Installera webbläsaren Firefox (om du inte redan har den installerad), och använd Firefox framöver för att besöka Dubbningshemsidan och andra drabbade sajter. Firefox råkar nämligen, till skillnad från de flesta andra webbläsare, ha eget bibliotek med rotcertifikat så att det räcker att webbläsaren är uppgraderad istället för operativsystemet.
« Senast ändrad: 24 september 2021 kl. 08:36:55 av Daniel Hofverberg »

Utloggad Sabelöga / Raltseye

  • Hjältemedlem
  • *****
  • Antal inlägg: 1 279
    • Visa profil
SV: Vissa äldre enheter stödjer fungerar snart inte med Dubbningshemsidan
« Svar #1 skrivet: 24 september 2021 kl. 04:25:16 »
Intressant och tack för uppdateringen, men vad ska titeln betyda?
Är du osäker på hur du kan göra fel?

Låt bli och gör rätt! Skriv dom istället!

Utloggad Daniel Hofverberg

  • Administratör
  • *****
  • Antal inlägg: 11 778
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter stödjer fungerar snart inte med Dubbningshemsidan
« Svar #2 skrivet: 24 september 2021 kl. 08:37:47 »
Intressant och tack för uppdateringen, men vad ska titeln betyda?
Oj, det blev tydligen grammatikfel då jag ändrade om i rubriken i sista minuten... :-[

Åtgärdat. :)

Inloggad Anders M Olsson

  • Hjältemedlem
  • *****
  • Antal inlägg: 2 674
  • Kön: Man
    • Visa profil
    • Disneyania / D-zine
SV: Vissa äldre enheter stödjer fungerar snart inte med Dubbningshemsidan
« Svar #3 skrivet: 24 september 2021 kl. 08:42:47 »
Problemet är nog inte så stort för datoranvändare. Så sent som för ett år sen var min huvudsakliga dator från 2007, alltså 13 år gammal. Den hade inga problem att köra Windows 10.

Däremot kan det drabba dem som kör mobiler och surfplattor. Där verkar det finnas en tydlig avsikt från tillverkarnas sida att enheterna ska bli oanvändbara efter bara några få år. Min första smarta(?) telefon som jag köpte 2012 blev "akterseglad" av BankID redan 2016.  >:(

Det finns inga produkter som är så dumma som de som har ordet "smart" i namnet!  ;)

Utloggad Daniel Hofverberg

  • Administratör
  • *****
  • Antal inlägg: 11 778
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter stödjer fungerar snart inte med Dubbningshemsidan
« Svar #4 skrivet: 24 september 2021 kl. 09:07:52 »
Så sent som för ett år sen var min huvudsakliga dator från 2007, alltså 13 år gammal. Den hade inga problem att köra Windows 10.
Min stationära dator lyckas jag faktiskt inte att installera Windows 10 på, utan får bara felmeddelanden vid installation hela tiden. Förmodligen hade den klarat av att köra Windows 10 om jag bara lyckades få in operativsystemet, men det går inte av någon outgrundlig anledning. :(

Liknande problem kan säkert drabba även andra personer. I mitt fall är min stationära dator "fast" med Windows 7, så den påverkas ju inte av det här utgångna rotcertifikatet, men det är hursomhelst väldigt irriterande. Men det är förstås bara en tidsfråga innan någonting gör att Windows 7 inte duger att använda, så att det här blir ett akut problem...

Däremot kan det drabba dem som kör mobiler och surfplattor. Där verkar det finnas en tydlig avsikt från tillverkarnas sida att enheterna ska bli oanvändbara efter bara några få år. Min första smarta(?) telefon som jag köpte 2012 blev "akterseglad" av BankID redan 2016.  >:(
Ja, tyvärr är det en oroväckande trend att bl.a. BankID hela tiden ökar systemkraven, så att fullt fungerande mobiltelefoner ändå måste bytas ut då BankID inte fungerar.

Min pappa tvingades för något år sedan att köpa en ny mobiltelefon, då den förra var fast i en för gammal version av Android. Nu i somras togs ju stödet för Android 5.0 och iOS 11 bort för BankID, så ett antal personer har behövt köpa en ny mobiltelefon ännu en gång. :( Min pappas nuvarande telefon tycks vara "fast" i Android 6.0 (har inte fått uppdateringar på ett år), så han klarade med nöd och näppe av kravet nu i somras, så han i alla fall inte behövde köpa ännu en ny telefon...

Just därför blir det antagligen inte så många som påverkas av det här, då alla som har BankID ändå har behövt skaffa nya mobiltelefoner om de inte uppfyllt deras nya hårda systemkrav - och det är ju tyvärr tämligen svårt att kunna leva utan BankID i dagens digitala samhälle...

Min telefon är en Huawei Honor 9, som hann få uppgraderingen till Android 9.0 innan bråket med amerikanska staten började så att Huawei inte längre får tillgång till nya versioner av Android - så förr eller senare kommer även min telefon behöva bytas ut, men förhoppningsvis dröjer det ett tag till...


Kanske är problemet med rotcertifikatet större på surfplattor, för har man sådana har man sannolikt inte behov av BankID där (utan har det förmodligen på sin mobil istället), varför man fram tills nu kan ha klarat sig med gamla versioner av iOS eller Android.

I så fall lär det som sagt huvudsakligen drabba iPad, för med Android har Let's Encrypt kommit överens om en tillfällig nödlösning så att det som egentligen hade krävt Android 7.0 (som är minimikravet för det nya rotcertifikatet) ändå kommer att fungera så långt bakåt som med Android 2.3.6 i ytterligare tre års tid - det är väldigt tacksamt, för annars hade det här drabbat avsevärt fler personer (då Android 7.0 trots allt inte är gammalt och mängder av telefoner och surfplattor har äldre versioner än så).

Utloggad Hampus.J

  • Juniormedlem
  • **
  • Antal inlägg: 98
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #5 skrivet: 24 september 2021 kl. 10:37:43 »
Har Android-version 2.2.1 på min mobil så gissar att det inte kommer fungera längre då..

Spelar dock ingen större roll då jag mest besöker sidan via datorn.
In Donaldismo Veritas

Inloggad Steffan Rudvall

  • Hjältemedlem
  • *****
  • Antal inlägg: 9 360
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #6 skrivet: 24 september 2021 kl. 11:37:39 »
Har Android-version 2.2.1 på min mobil så gissar att det inte kommer fungera längre då..

Spelar dock ingen större roll då jag mest besöker sidan via datorn.
Den mobilen fungerar fortfarande?
Nu delar vi på oss!

Utloggad Hampus.J

  • Juniormedlem
  • **
  • Antal inlägg: 98
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #7 skrivet: 24 september 2021 kl. 11:41:07 »
In Donaldismo Veritas

Utloggad Daniel Hofverberg

  • Administratör
  • *****
  • Antal inlägg: 11 778
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #8 skrivet: 24 september 2021 kl. 11:48:24 »
Har Android-version 2.2.1 på min mobil så gissar att det inte kommer fungera längre då..
Nej, tyvärr inte. Att installera Firefox på mobilen hade fungerat för att fortsätta komma åt sajten, men såvitt jag kan läsa mig till verkar Android-versionen av Firefox kräva Android 5.0. :(

Men hur klarar du dig egentligen med Android 2.2.1...? Den mobilen måste ju vara minst 10 år gammal, med tanke på att Android 2.2.1 släpptes i september 2010 (version 2.3.6, som kommer fortsätta fungera, släpptes i september 2011). Använder du aldrig BankID, Swish eller någon av de uppsjö av appar som är beroende av nyare Android-versioner...?

Vad är det egentligen för mobil, av ren nyfikenhets skull?

Utloggad Hampus.J

  • Juniormedlem
  • **
  • Antal inlägg: 98
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #9 skrivet: 24 september 2021 kl. 14:55:15 »
Nej, tyvärr inte. Att installera Firefox på mobilen hade fungerat för att fortsätta komma åt sajten, men såvitt jag kan läsa mig till verkar Android-versionen av Firefox kräva Android 5.0. :(

Men hur klarar du dig egentligen med Android 2.2.1...? Den mobilen måste ju vara minst 10 år gammal, med tanke på att Android 2.2.1 släpptes i september 2010 (version 2.3.6, som kommer fortsätta fungera, släpptes i september 2011). Använder du aldrig BankID, Swish eller någon av de uppsjö av appar som är beroende av nyare Android-versioner...?

Vad är det egentligen för mobil, av ren nyfikenhets skull?


Samsung Galaxy Mini. Den är 10 år gammal nu i september.

BankID har jag på datorn. Swish har jag aldrig haft, klarar mig bra med kort & kontant.
In Donaldismo Veritas

Utloggad Daniel Hofverberg

  • Administratör
  • *****
  • Antal inlägg: 11 778
  • Kön: Man
    • Visa profil
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #10 skrivet: 27 september 2021 kl. 02:47:12 »
Samsung Galaxy Mini. Den är 10 år gammal nu i september.
Finns det ingen möjlighet att uppgradera mobilen till en senare version av Android? Även om mobiltillverkarna brukar vara dåliga på att ge ut uppdateringar till telefoner någon längre tid, så brukar de flesta trots allt erbjuda systemuppdateringar av operativsystemet ett par år; så att det går att få in ett lite nyare operativsystem än det som följde med.

Jag har exempelvis en Huawei Honor 9 från 2017, och med den ingick Android 7.0 vid köpet. Men Huawei skickade ut systemuppdateringar av operativsystemet i ett par års tid, så att jag hann få både Android 8 och Android 9; innan bråket med amerikanska staten började så att Huawei inte längre fick tillgång till Android. Således är jag "fast" med Android 9 och kan inte få Android 10, men hann i alla fall få två stora versioner och ett dussintal buggfixar av Android innan det slutade komma uppdateringar.

Inloggad Anders M Olsson

  • Hjältemedlem
  • *****
  • Antal inlägg: 2 674
  • Kön: Man
    • Visa profil
    • Disneyania / D-zine
SV: Vissa äldre enheter fungerar snart inte med Dubbningshemsidan
« Svar #11 skrivet: 27 september 2021 kl. 04:22:32 »
Finns det ingen möjlighet att uppgradera mobilen till en senare version av Android? Även om mobiltillverkarna brukar vara dåliga på att ge ut uppdateringar till telefoner någon längre tid, så brukar de flesta trots allt erbjuda systemuppdateringar av operativsystemet ett par år; så att det går att få in ett lite nyare operativsystem än det som följde med.

Nu minns jag inte alla detaljer efter så lång tid, men jag har för mig att till min första Android-telefon Samsung Galaxy Xcover som jag köpte 2012 kom aldrig några "stora" uppgraderingar av operativsystemet. Det kom bara ett par uppdateringar av småversionerna, men aldrig något utanför huvudversionen Android 2. Jag slutade använda den när BankID slutade fungera, och det tror jag var redan 2016.

Jag hade även en Samsung Galaxy Pocket som var något nyare. Den levererades med Android 4, och inte heller där blev huvudversionen någonsin uppgraderad. Å andra sidan är skärmen ändå för liten för seriöst användande av webbläsare och appar. Om det verkligen kniper kan man kanske skriva ett kortare mail eller SMS, men annars duger den bäst till att ringa med.
« Senast ändrad: 27 september 2021 kl. 04:32:07 av Anders M Olsson »